Skip to content

Get a list of group members

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get a list of group members through group code, support paging, and can get custom data, identities, and department ID lists.

Method name

ManagementClient.listGroupMembers

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
codestringyes-Group codedeveloper
pagenumberno1Current page number, starting from 11
limitnumberno10Number per page, maximum cannot exceed 50, default is 1010
withCustomDatabooleanno-Whether to obtain custom datatrue
withIdentitiesbooleanNo-Get identitiestrue
withDepartmentIdsbooleanNo-Get department ID listtrue

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.listGroupMembers({
    code: "developer",
    page: 1,
    limit: 10,
    withCustomData: true,
    withIdentities: true,
    withDepartmentIds: true,
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: UserPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a UserPagingDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "userId": "6229ffaxxxxxxxxcade3e3d9",
      "createdAt": "2022-07-03T03:20:30.000Z",
      "updatedAt": "2022-07-03T03:20:30.000Z",
      "status": "Activated",
      "workStatus": "Active",
      "externalId": "10010",
      "email": "test@example.com",
      "phone": "188xxxx8888",
      "phoneCountryCode": "+86",
      "username": "bob",
      "name": "Zhang San",
      "nickname": "xxxx",
      "photo": "https://files.authing.co/authing-console/default-user-avatar.png",
      "loginsCount": 3,
      "lastLogin": "2022-07-03T03:20:30.000Z",
      "lastIp": "127.0.0.1",
      "gender": "M",
      "emailVerified": true,
      "phoneVerified": true,
      "passwordLastSetAt": "2022-07-03T03:20:30.000Z",
      "birthdate": "2022-06-03",
      "country": "CN",
      "province": "BJ",
      "city": " BJ",
      "address": "Beijing Chaoyang",
      "streetAddress": "Beijing Chaoyang District xxx Street",
      "postalCode": "438100",
      "company": "steamory",
      "browser": "Mozilla/5.0 (Linux ; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0",
      "device": "iOS",
      "givenName": "xx",
      "familyName": "xx",
      "middleName": "James",
      "profile": "alice",
      "preferredUsername": "alice",
      "website": "https://my-website.com",
      "zoneinfo": "GMT-08:00",
      "locale": "af",
      "formatted": "132, My Street, Kingston, New York 12401.",
      "region": "Xinjiang Uyghur Autonomous Region",
      "userSourceType": "register",
      "passwordSecurityLevel": 1,
      "departmentIds": "[\"624d930c3xxxx5c08dd4986e\",\"624d93102xxxx012f33cd2fe\"]",
      "identities": {
        "identityId": "62299d8b866d2dab79a89dc4",
        "extIdpId": "6076bacxxxxxxxxd80d993b5",
        "provider": "wechat",
        "type": "openid",
        "userIdInIdp": "oj7Nq05R-RRaqak0_YlMLnnIwsvg",
        "accessToken": "57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx",
        "refreshToken": "57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx",
        "originConnIds": "[\"605492ac41xxxxe0362f0707\"]"
      },
      "identityNumber": "420421xxxxxxxx1234",
      "customData": { "school": "Peking University", "age": 22 },
      "statusChangedAt": "2022-07-03T03:20:30.000Z"
    }
  }
}

Data structure### UserPagingDto

NameTypeIs it required?DescriptionExample value
totalCountnumberYesTotal number of records
listarrayYesData list nested type: <a UserDto.

UserDto

NameTypeIs it required?DescriptionExample value
userIdstringisThe unique identifier of the user, which can be user ID, user name, email address, mobile phone number, externalId, or ID in an external identity source. For details, see Description of the userIdType field. Defaults to user id.6229ffaxxxxxxxxcade3e3d9
createdAtstringyescreation time2022-07-03T03:20:30.000Z
updatedAtstringyesupdate time2022-07-03T03:20:30.000Z
statusstringyesCurrent status of the account:
- Activated: Normal status
- Suspended: Deactivated
- Deactivated: Disabled
- Resigned: Resigned
- Archived: Archived
Suspended
workStatusstringyesCurrent work status of the accountClosed
externalIdstringnoThird-party external ID10010
emailstringnoEmail address, case insensitivetest@example.com
phonestringnoMobile phone number without area code. If it is an overseas mobile phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
phoneCountryCodestringnoMobile phone area code, which can be left blank for mobile phone numbers in mainland China. The GenAuth SMS service does not currently support international mobile phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of mobile area codes, see https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86
usernamestringNoUsername, unique in the user poolbob
namestringNoUser's real name, not uniqueZhang San
nicknamestringNoNicknameZhang San
photostringNoAvatar linkhttps://files.authing.co/authing-console/default-user-avatar.png
loginsCountnumberNoTotal number of historical logins3
lastLoginstringNoLast login time2022-07-03T03:20:30.000Z
lastIpstringnoLast login IP127.0.0.1
genderstringyesGender:
- M: Male
- F: Female
- U: Unknown
M
emailVerifiedbooleanyesEmail verifiedtrue
phoneVerifiedbooleanyesPhone number verifiedtrue
passwordLastSetAtstringnoUser's last password modification time2022-07-03T03:20:30.000Z
birthdatestringnoDate of birth2022-06-03
countrystringnoCountryCN
provincestringNoProvinceBJ
citystringNoCityBJ
addressstringNoAddressBeijing Chaoyang
streetAddressstringNoStreet AddressBeijing Chaoyang District xxx Street
postalCodestringnoPostal code438100
companystringnoCompanysteamory
browserstringnoLast login browser UAMozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0
devicestringnoLast login deviceiOS
givenNamestringnoFirst namexx
familyNamestringnoLast namexx
middleNamestringnoMiddle nameJames
profilestringnoPreferred Usernamealice
preferredUsernamestringnoPreferred Usernamealice
websitestringnoUser personal websitehttps://my-website.com
zoneinfostringnoUser time zone informationGMT-08:00
localestringNoLocaleaf
formattedstringNoStandard full address132, My Street, Kingston, New York 12401.
regionstringNoUser's regionXinjiang Uyghur Autonomous Region
userSourceTypestringYesSource type:
- excel: Imported via excel
- register: User self-registration
- adminCreated: Manual creation by the administrator backend (including creating users using the management API)
- syncTask: Sync task in the sync center
excel
userSourceIdstringNoApplication ID or sync task ID
lastLoginAppstringNoApplication ID of the user's last login
mainDepartmentIdstringNoUser's main department ID
lastMfaTimestringNoThe last time the user performed MFA Authentication time
passwordSecurityLevelnumberNoUser password security strength level1
resetPasswordOnNextLoginbooleanNoRequire password reset on next login
registerSourcearrayNoRegistration method
departmentIdsarrayNoUser department ID list["624d930c3xxxx5c08dd4986e","624d93102xxxx012f33cd2fe"]
identitiesarraynoExternal identity source Nested type: <a IdentityDto.
identityNumberstringNoUser ID number420421xxxxxxxx1234
customDataobjectNoUser's extended field data{"school":"Peking University","age":22}
postIdListarrayNoUser's associated department ID
statusChangedAtstringNoUser status last modified time2022-07-03T03:20:30.000Z
tenantIdstringNoUser tenant ID

IdentityDto

NameTypeIs it requiredDescriptionSample value
identityIdstringyesIdentity source ID62299d8b866d2dab79a89dc4
extIdpIdstringyesIdentity source connection ID6076bacxxxxxxxxd80d993b5
providerstringyesExternal identity source type:
- wechat: WeChat
- qq: QQ
- wechatwork: WeChat for Business
- dingtalk: DingTalk
- weibo: Weibo
- github: GitHub
- alipay: Alipay
- baidu: Baidu
- lark: Feishu
- welink: Welink
- yidun: NetEase Yidun
- qingcloud: Qingyun
- google: Google
- gitlab: GitLab
- gitee: Gitee
- twitter: Twitter
- facebook: Facebook
- slack: Slack
- linkedin: Linkedin
- instagram: Instagram
- oidc: OIDC-based enterprise identity source
- oauth2: OAuth2-based enterprise identity source
- saml: SAML-based enterprise identity source
- ldap: LDAP-based enterprise identity source
- ad: AD-based enterprise identity source
- cas: CAS-based enterprise identity source
- azure-ad: Azure AD-based enterprise identity source
oidc
typestringyesIdentity type, such as unionid, openid, primaryopenid
userIdInIdpstringyesID in the external identity sourceoj7Nq05R-RRaqak0_YlMLnnIwsvg
userInfoInIdpobjectyesUser's identity information in idp
accessTokenstringnoAccess Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it).57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx
refreshTokenstringnoRefresh Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management interface will not return it).57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx
originConnIdsarrayyesIdentity source connection ID list from which the identity comes["605492ac41xxxxe0362f0707"]

Agent infrastructure for identity, memory, and web action.